<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="btnName">#</xsl:param>
<xsl:param name="stype"></xsl:param>
<xsl:param name="smdl"></xsl:param>
<xsl:param name="ssvg"></xsl:param>
<xsl:param name="ssafe"></xsl:param>
<xsl:param name="sblk"></xsl:param>
<xsl:param name="sref"></xsl:param>
<xsl:param name="spno"></xsl:param>
<xsl:param name="spname"></xsl:param>
<xsl:param name="smci"></xsl:param>
<xsl:param name="shst"></xsl:param>
<xsl:param name="odr">0</xsl:param>
<xsl:param name="lang">en</xsl:param>
<xsl:param name="mdlarray"></xsl:param>
<!-- Build = 2012.05.18 -->

<xsl:template match="/">
<html>
<body>
<div id="basediv">
	<xsl:if test="$sref != 'ASK'">
		<table id='tblfoundparts' width='100%' border='1' rules='all'>
		<thead>
			<tr>
				<th><xsl:if test="$lang != 'ja'">ORDER</xsl:if><xsl:if test="$lang = 'ja'">発注</xsl:if></th>
				<th>
					<a href="javascript:findSafety()">
						<img src="img/safety.png" border="0"/>
					</a>
				</th>
				<th><xsl:if test="$lang != 'ja'">CHG</xsl:if><xsl:if test="$lang = 'ja'">変更</xsl:if></th>
				<th><xsl:if test="$lang != 'ja'">BLOCK</xsl:if><xsl:if test="$lang = 'ja'">ブロック</xsl:if></th>
				<th><xsl:if test="$lang != 'ja'">FIG.SCH</xsl:if><xsl:if test="$lang = 'ja'">回路図</xsl:if></th>
				<th><xsl:if test="$lang != 'ja'">FIG.PCB</xsl:if><xsl:if test="$lang = 'ja'">基板図</xsl:if></th>
				<th>OR</th>
				<th><xsl:if test="$lang != 'ja'">PART NO.</xsl:if><xsl:if test="$lang = 'ja'">部品番号</xsl:if></th>
				<th><xsl:if test="$lang != 'ja'">PART NAME</xsl:if><xsl:if test="$lang = 'ja'">部品名</xsl:if></th>
				<th><xsl:if test="$lang != 'ja'">DESC</xsl:if><xsl:if test="$lang = 'ja'">備考</xsl:if></th>
				<th><xsl:if test="$lang != 'ja'">QTY</xsl:if><xsl:if test="$lang = 'ja'">個数</xsl:if></th>
				<th><xsl:if test="$lang != 'ja'">REV NO.</xsl:if><xsl:if test="$lang = 'ja'">改訂番号</xsl:if></th>
				<xsl:if test="$smdl = ''">
					<xsl:for-each select="//HEAD/MODEL">
						<th title="{.}">
							[<xsl:value-of select="@LBL"/>]
						</th>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="$smdl != ''">
					<th title="{//HEAD/MODEL[@MDL=$smdl]}">
						[<xsl:value-of select="//HEAD/MODEL[@MDL=$smdl]/@LBL"/>]
					</th>
				</xsl:if>
			</tr>
		</thead>
		<tbody>
			<xsl:if test="$ssafe != ''">
				<xsl:apply-templates select="//ROW[SAFE != '']"/>
			</xsl:if>
			<xsl:if test="$ssafe = ''">
				<xsl:if test="$stype != '' or $sblk != '' or $sref != '' or $spno != '' or $spname != '' or $ssvg != ''">
					<xsl:apply-templates select="//ROW[contains(@REF,$sref) and contains(@BLK,$sblk) and contains(@CHG,'') and contains(@MDL,$smdl) and contains(PART,$spno) and (contains(FILE1,$ssvg) or contains(FILE2,$ssvg)) and (contains(NAME,$spname) or contains(translate(DESC,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ'),$spname)) and (contains(MCI1,$smci) or contains(MCI2,$smci))]" mode="mode1"/>
					<xsl:if test="$stype = ''">
						<xsl:if test="count(//ROW[(@REF=$sref) and contains(@BLK,$sblk) and contains(@CHG,'') and contains(@MDL,$smdl) and contains(PART,$spno) and (contains(FILE1,$ssvg) or contains(FILE2,$ssvg)) and (contains(NAME,$spname) or contains(translate(DESC,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ'),$spname)) and (contains(MCI1,$smci) or contains(MCI2,$smci))]) = '0'">
							<xsl:call-template name="notfound"/>
						</xsl:if>
					</xsl:if>
					<xsl:if test="$stype = 'C'">
						<xsl:if test="count(//ROW[contains(@REF,$sref) and contains(@BLK,$sblk) and contains(@CHG,'') and contains(@MDL,$smdl) and contains(PART,$spno) and (contains(FILE1,$ssvg) or contains(FILE2,$ssvg)) and (contains(NAME,$spname) or contains(translate(DESC,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ'),$spname)) and (contains(MCI1,$smci) or contains(MCI2,$smci))]) = '0'">
							<xsl:call-template name="notfound"/>
						</xsl:if>
					</xsl:if>
				</xsl:if>
			</xsl:if>
		</tbody>
		</table>
	</xsl:if>
	<xsl:if test="$sref = 'ASK'">
		<table id='tblfoundparts' width='100%' border='1' rules='all'>
		<thead>
			<tr>
				<th><xsl:if test="$lang != 'ja'">BLOCK NO.</xsl:if><xsl:if test="$lang = 'ja'">ブロックNo.</xsl:if></th>
				<th><xsl:if test="$lang != 'ja'">BLOCK NAME</xsl:if><xsl:if test="$lang = 'ja'">ブロック名</xsl:if></th>
				<th><xsl:if test="$lang != 'ja'">ROW QTY</xsl:if><xsl:if test="$lang = 'ja'">部品行数</xsl:if></th>
				<xsl:for-each select="//HEAD/MODEL">
					<th>
						[<xsl:value-of select="@LBL"/>]<br/><xsl:value-of select="."/>
					</th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<xsl:apply-templates select="//HEAD/BLOCK"/>
		</tbody>
		</table>
	</xsl:if>
</div>
</body>
</html>
</xsl:template>

<xsl:template match="PARTSLIST/ROW" mode="mode1">
	<xsl:if test="$shst = ''">
		<xsl:apply-templates select="self::node()[@CHG='']" mode="mode2"/>
	</xsl:if>
	<xsl:if test="$shst != ''">
		<xsl:apply-templates select="." mode="mode2"/>
	</xsl:if>
</xsl:template>

<xsl:template match="PARTSLIST/ROW" mode="mode2">
	<xsl:if test="$stype = ''">
		<xsl:apply-templates select="self::node()[@REF=$sref]" mode="mode3"/>
	</xsl:if>
	<xsl:if test="$stype = 'C'">
		<xsl:apply-templates select=".">
			<xsl:sort select="BLKNO" data-type="text" order="ascending"/>
			<xsl:sort select="@SORT" data-type="text" order="ascending"/>
			<xsl:sort select="@CHG" data-type="text" order="ascending"/>
		</xsl:apply-templates>
		<xsl:if test="count(.) = '0'">
			<xsl:call-template name="notfound"/>
		</xsl:if>
	</xsl:if>
</xsl:template>

<xsl:template match="PARTSLIST/ROW" mode="mode3">
	<xsl:if test="$sblk != ''">
		<xsl:apply-templates select="self::node()[@BLK=$sblk]">
			<xsl:sort select="BLKNO" data-type="text" order="ascending"/>
			<xsl:sort select="@SORT" data-type="text" order="ascending"/>
			<xsl:sort select="@CHG" data-type="text" order="ascending"/>
		</xsl:apply-templates>
		<xsl:if test="count(self::node()[@BLK=$sblk]) = '0'">
			<xsl:call-template name="notfound"/>
		</xsl:if>
	</xsl:if>
	<xsl:if test="$sblk = ''">
		<xsl:apply-templates select=".">
			<xsl:sort select="BLKNO" data-type="text" order="ascending"/>
			<xsl:sort select="@SORT" data-type="text" order="ascending"/>
			<xsl:sort select="@CHG" data-type="text" order="ascending"/>
		</xsl:apply-templates>
		<xsl:if test="count(.) = '0'">
			<xsl:call-template name="notfound"/>
		</xsl:if>
	</xsl:if>
</xsl:template>

<xsl:template match="PARTSLIST/ROW">
	<tr style="background:white" class="{@BLK}{@REF}">
		<td align="center" nowrap="nowrap">
			<input type="button" id="odrBtn" value="{$btnName}" onclick="addBasket('{@BLK}','{@REF}','{PART}');">
				<xsl:if test="$odr = '0'">
					<xsl:attribute name="disabled">
						true
					</xsl:attribute>
				</xsl:if>
			</input>
		</td>
		<td align="center" nowrap="nowrap">
			<xsl:if test="SAFE[. != '']">
				<img src="img/safety.png" border="0"/>
			</xsl:if>
			<xsl:if test="SAFE[. = '']">
				<br/>
			</xsl:if>
		</td>
		<td nowrap="nowrap" align="center">
			<a onmouseover="this.style.cursor='pointer';this.style.color='red';" onmouseout="this.style.color='royalblue';" onclick="findMci('{MCI2}');">
				<xsl:if test="@CHG[. != '']"><xsl:value-of select="substring-after(@CHG, '|')"/></xsl:if>
				<xsl:if test="@CHG[. = '']"><br/></xsl:if>
			</a>
		</td>
		<td nowrap="nowrap">
			<xsl:if test="BLKNO[. != '']"><xsl:value-of select="BLKNO"/></xsl:if>
			<xsl:if test="BLKNO[. = '']"><br/></xsl:if>
		</td>
		<td nowrap="nowrap">
			<xsl:if test="FILE1[. != ''] and FILE1[. != 'unknown']">
				<a onmouseover="this.style.cursor='pointer';this.style.color='red';" onmouseout="this.style.color='royalblue';" onclick="svgopen('{FILE1}','{FILE2}','{@REF}','{@BLK}','svg1','svg2');">
					<xsl:if test="@REF[. != '']"><xsl:value-of select="@REF"/></xsl:if>
					<xsl:if test="@REF[. = '']"><br/></xsl:if>
				</a>
			</xsl:if>
			<xsl:if test="FILE1[. = ''] or FILE1[. = 'unknown']">
				<xsl:if test="@REF[. != '']"><xsl:value-of select="@REF"/></xsl:if>
				<xsl:if test="@REF[. = '']"><br/></xsl:if>
			</xsl:if>
		</td>
		<td nowrap="nowrap">
			<xsl:if test="FILE2[. != ''] and FILE2[. != 'unknown']">
				<a onmouseover="this.style.cursor='pointer';this.style.color='red';" onmouseout="this.style.color='royalblue';" onclick="svgopen('{FILE2}','{FILE1}','{@REF}','{@BLK}','svg2','svg1');">
					<xsl:if test="@REF[. != '']"><xsl:value-of select="@REF"/></xsl:if>
					<xsl:if test="@REF[. = '']"><br/></xsl:if>
				</a>
			</xsl:if>
			<xsl:if test="FILE2[. = ''] or FILE2[. = 'unknown']">
				<xsl:if test="@REF[. != '']"><xsl:value-of select="@REF"/></xsl:if>
				<xsl:if test="@REF[. = '']"><br/></xsl:if>
			</xsl:if>
		</td>
		<td nowrap="nowrap">
			<xsl:if test="OR[. != '']"><xsl:value-of select="OR"/></xsl:if>
			<xsl:if test="OR[. = '']"><br/></xsl:if>
		</td>
		<td nowrap="nowrap">
			<xsl:if test="PART[. != '']"><xsl:value-of select="PART"/></xsl:if>
			<xsl:if test="PART[. = '']"><br/></xsl:if>
		</td>
		<td nowrap="nowrap">
			<xsl:if test="NAME[. != '']"><xsl:value-of select="NAME"/></xsl:if>
			<xsl:if test="NAME[. = '']"><br/></xsl:if>
		</td>
		<td>
			<xsl:if test="DESC[. != '']"><xsl:value-of select="DESC"/></xsl:if>
			<xsl:if test="DESC[. = '']"><br/></xsl:if>
		</td>
		<td  align="right" nowrap="nowrap">
			<xsl:if test="QTY[. != '']"><xsl:value-of select="QTY"/></xsl:if>
			<xsl:if test="QTY[. = '']"><br/></xsl:if>
		</td>
		<td nowrap="nowrap">
			<xsl:if test="MCI1[. != '']">
				<a href="{MCI1/@LINK}" target="_blank">
					<xsl:if test="MCI1[. != '']"><xsl:value-of select="substring-after(MCI1,'-')"/></xsl:if>
					<xsl:if test="MCI1[. = '']"><br/></xsl:if>
				</a>
				<xsl:if test="MCI2[. != '']">,</xsl:if>
			</xsl:if>
			<a href="{MCI2/@LINK}" target="_blank">
				<xsl:if test="MCI2[. != '']"><xsl:value-of select="substring-after(MCI2,'-')"/></xsl:if>
				<xsl:if test="MCI2[. = '']"><br/></xsl:if>
			</a>
		</td>
		<xsl:if test="$smdl = ''">
			<xsl:call-template name="sepModel">
				<xsl:with-param name="base"><xsl:value-of select="@MDL"/></xsl:with-param>
				<xsl:with-param name="string"><xsl:value-of select="$mdlarray"/></xsl:with-param>
				<xsl:with-param name="sep">,</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$smdl != ''">
		<td align="center">
			<xsl:if test="contains(@MDL, $smdl)">&#8226;</xsl:if>
			<xsl:if test="not(contains(@MDL, $smdl))"><br/></xsl:if>
		</td>
		</xsl:if>
	</tr>
</xsl:template>

<xsl:template name="notfound">
	<tr>
		<td align="center" colspan="{count(//HEAD/MODEL) + 12}">
			<font color="red">
				<xsl:if test="$lang != 'ja'">************  Not Found !!  ************</xsl:if>
				<xsl:if test="$lang = 'ja'">************  該当する部品はありません。  ************</xsl:if>
			</font>
		</td>
	</tr>
</xsl:template>

<xsl:template match="PARTSLIST/HEAD/BLOCK">
	<tr>
		<td>
			<a onmouseover="this.style.cursor='pointer';this.style.color='red';" onmouseout="this.style.color='royalblue';" onclick="findBlock('{@BLK}');">
				<xsl:value-of select="NO"/>
			</a>
		</td>
		<td nowrap="nowrap"><xsl:value-of select="NAME"/></td>
		<td align="right"><xsl:value-of select="QTY"/></td>
		<xsl:call-template name="sepModel">
			<xsl:with-param name="base"><xsl:value-of select="@MDL"/></xsl:with-param>
			<xsl:with-param name="string"><xsl:value-of select="$mdlarray"/></xsl:with-param>
			<xsl:with-param name="sep">,</xsl:with-param>
		</xsl:call-template>
	</tr>
</xsl:template>

<xsl:template name="sepModel">
	<xsl:param name="base" select="."/>
	<xsl:param name="string" select="."/>
	<xsl:param name="sep" select="."/>
	<xsl:if test="string-length($string) != 0">
		<xsl:variable name="sb" select="substring-before($string, $sep)"/>
		<td align="center">
			<xsl:if test="$sb = ''"><xsl:if test="contains($base, $string)">&#8226;</xsl:if></xsl:if>
			<xsl:if test="$sb != ''"><xsl:if test="contains($base, $sb)">&#8226;</xsl:if></xsl:if>
			<xsl:if test="not(contains($base, $sb))"><br/></xsl:if>
		</td>
	</xsl:if>
	<xsl:if test="string-length(substring-after($string, $sep)) != 0">
		<xsl:call-template name="sepModel">
			<xsl:with-param name="base" select="$base"/>
			<xsl:with-param name="string" select="substring-after($string, $sep)"/>
			<xsl:with-param name="sep" select="$sep"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>
